Class {
	#name : #BaselineOfMiniDocs,
	#superclass : #BaselineOf,
	#category : #BaselineOfMiniDocs
}

{ #category : #accessing }
BaselineOfMiniDocs >> baseline: spec [
	<baseline>
	spec
		for: #common
		do: [ 
			"Dependencies"
			self setUpTeapot: spec.
			self setUpPetitParser: spec.
			"LepiterBuildingBlocs commented while resolving the conflict with the internal gtoolkit renaming."
			"self setUpLepiterBuildingBlocs: spec"
			spec 
				baseline: 'Mustache' with: [ spec repository: 'github://noha/mustache' ];
				baseline: 'Temple' with: [ spec repository: 'github://astares/Pharo-Temple/src' ];
				baseline: 'Tealight' with: [ spec repository: 'github://astares/Tealight:main/src' ];
				baseline: 'DataFrame' with: [ spec repository: 'github://PolyMathOrg/DataFrame/src' ].
				
			"self fossil: spec."
			self xmlParserHTML: spec.
			
			"Packages"
			spec
				package: 'PetitMarkdown' with: [ spec requires: #('PetitParser')];
				package: 'MiniDocs' 
				with: [ spec requires: #(
					'Mustache' 'Temple' "Templating"
					'Teapot' 'Tealight' "Web server" 
					'PetitMarkdown' 'PetitParser' "Parsers" 
					'DataFrame' "Tabular data")].
.
			
			"Groups"
			
		].
	spec
		
]

{ #category : #accessing }
BaselineOfMiniDocs >> fossil: spec [ 
	| repo |
	repo := ExoRepo new
   		repository: 'https://code.sustrato.red/Offray/Fossil'.
	repo load.
	spec baseline: 'Fossil' with: [ spec repository: 'gitlocal://', repo local fullName ]
]

{ #category : #accessing }
BaselineOfMiniDocs >> semanticVersion [
	^ '0.2.0'
]

{ #category : #accessing }
BaselineOfMiniDocs >> setUpLepiterBuildingBlocs: spec [ 
	spec 
		baseline: 'LepiterBuildingBlocs' 
		with: [spec 
		repository: 'github://botwhytho/LepiterBuildingBlocs:main/src';
		loads: #('ALL')];
	import: 'LepiterBuildingBlocs'
]

{ #category : #accessing }
BaselineOfMiniDocs >> setUpPetitParser: spec [ 
	spec 
	  baseline: 'PetitParser' 
	  with: [ spec
	  	repository: 'github://moosetechnology/PetitParser:v3.x.x/src';
	  	loads: #('Minimal' 'Core' 'Tests' 'Islands')];
	  import: 'PetitParser'
]

{ #category : #accessing }
BaselineOfMiniDocs >> setUpTeapot: spec [

  spec
    baseline: 'Teapot'
      with: [ spec
        repository: 'github://zeroflag/Teapot/source';
        loads: #('ALL') ];
    import: 'Teapot'
]

{ #category : #accessing }
BaselineOfMiniDocs >> xmlParserHTML: spec [

	spec
		baseline: 'XMLParserHTML'
		with: [ spec
			repository: 'github://ruidajo/XML-XMLParserHTML/src';
			loads: #('ALL')];
		import: 'XMLParserHTML'
]
