Extension { #name : #LePharoSnippet }

{ #category : #'*MiniDocs' }
LePharoSnippet >> contentAsStringCustomized [
	| thisObject |
	(self tags includes: 'output') ifFalse: [ ^ self contentAsString ].
	thisObject := ((self page sharedVariablesBindings) at: self detectObject)  value.
	^ thisObject perform: self detectMessage trimmed asSymbol.
]

{ #category : #'*MiniDocs' }
LePharoSnippet >> fromMarkdeep: markdeepDiv [

	^ markdeepDiv asSnippetDictionary asLepiterSnippet
]

{ #category : #'*MiniDocs' }
LePharoSnippet >> fromString: aString [

self code: aString
]

{ #category : #'*MiniDocs' }
LePharoSnippet >> markdeepCustomCloser [
	^ String streamContents: [ :stream |
		stream 
			nextPutAll: '~~~'; lf;
			nextPutAll: '</script>';  lf.
		]
]

{ #category : #'*MiniDocs' }
LePharoSnippet >> markdeepCustomOpener [
	^ String streamContents: [ :stream |
		stream 
			nextPutAll: '<script type="preformatted">';  lf;
			nextPutAll: '~~~ Smalltalk'; lf
		]
]

{ #category : #'*MiniDocs' }
LePharoSnippet >> markdownCustomCloser [
	(self tags includes: 'output') ifTrue: [^ String with: Character lf].
	^ String streamContents: [:stream |
		stream 
			nextPutAll: '~~~'; lf
		]
]

{ #category : #'*MiniDocs' }
LePharoSnippet >> markdownCustomOpener [
	(self tags includes: 'output') ifTrue: [ ^ String with: Character lf ].
	^ String
		streamContents: [ :stream | 
			stream
				nextPutAll: '~~~ Smalltalk';
				lf ]
]
