Class {
	#name : #PPCMLine,
	#superclass : #PPCMDelegateNode,
	#category : #'PetitMarkdown-AST'
}

{ #category : #'as yet unclassified' }
PPCMLine class >> empty [
	^ PPCMLine new
		addChild: (PPCMText empty);
		yourself

]

{ #category : #visiting }
PPCMLine >> accept: visitor [
	^ visitor visitLine: self
]

{ #category : #testing }
PPCMLine >> isBlankLine [
	^ self text = ''
]

{ #category : #testing }
PPCMLine >> isLine [
	^ true
]

{ #category : #visiting }
PPCMLine >> text [
	| stream |
	"hackity hack, this should not be used except for tests..."
	stream := WriteStream on: ''.
	children do: [ :child | stream nextPutAll: child text ].
	^ stream contents 
]

{ #category : #accessing }
PPCMLine >> viewBody [

	| aText |
	aText := (self className ,' ', self text) asRopedText.

	self children do: [ :child | 
		aText append: ' ' asRopedText.
		aText append: (child text asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append: ('= "' asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append: (child text asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append:
			('"' asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor)
	].


	^ aText
]
