Class {
	#name : #PPCMLink,
	#superclass : #PPCMNode,
	#instVars : [
		'label',
		'destination',
		'title'
	],
	#category : #'PetitMarkdown-AST'
}

{ #category : #visiting }
PPCMLink >> accept: visitor [
	^ visitor visitLink: self
]

{ #category : #accessing }
PPCMLink >> destination [
	^ destination
]

{ #category : #accessing }
PPCMLink >> destination: anObject [
	destination := anObject
]

{ #category : #accessing }
PPCMLink >> label [
	^ label
]

{ #category : #accessing }
PPCMLink >> label: anObject [
	label := anObject
]

{ #category : #accessing }
PPCMLink >> printOn: aStream [
	super initialize.
	^ aStream
		nextPutAll: 
			self label  text,
			' -> ',
			self destination
]

{ #category : #accessing }
PPCMLink >> title [
	^ title
]

{ #category : #accessing }
PPCMLink >> title: anObject [
	title := anObject
]

{ #category : #accessing }
PPCMLink >> viewBody [

	| aText |
	aText := (self className ,' ', 
		self label children first text, ' -> ', self destination) asRopedText.

	self children do: [ :child | 
		aText append: ' ' asRopedText.
		aText append: (child destination asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append: ('= "' asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append: (child destination asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append:
			('"' asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor)
	].


	^ aText
]
