Class {
	#name : #PPCMLinkRefDef,
	#superclass : #PPCMNode,
	#instVars : [
		'label',
		'destination',
		'title'
	],
	#category : #'PetitMarkdown-AST'
}

{ #category : #visiting }
PPCMLinkRefDef >> accept: visitor [
	^ visitor visitLinkRefDef: self
]

{ #category : #accessing }
PPCMLinkRefDef >> destination [
	^ destination
]

{ #category : #accessing }
PPCMLinkRefDef >> destination: anObject [
	destination := anObject
]

{ #category : #testing }
PPCMLinkRefDef >> isBlockLevel [
	^ true
]

{ #category : #accessing }
PPCMLinkRefDef >> label [
	^ label
]

{ #category : #accessing }
PPCMLinkRefDef >> label: anObject [
	label := anObject
]

{ #category : #accessing }
PPCMLinkRefDef >> title [
	^ title
]

{ #category : #accessing }
PPCMLinkRefDef >> title: anObject [
	title := anObject
]

{ #category : #accessing }
PPCMLinkRefDef >> viewBody [

	| aText |
	aText := (self className ,' ', 
		self label text, ' -> ', self destination) asRopedText.

	self children do: [ :child | 
		aText append: ' ' asRopedText.
		aText append: (child destination asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append: ('= "' asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append: (child destination asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append:
			('"' asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor)
	].


	^ aText
]
